Results 1 to 2 of 2

Thread: Must every developer use the exact same verion of SenchaCmd for an app?

  1. #1
    Sencha Premium Member
    Join Date
    Nov 2012
    Posts
    12
    Vote Rating
    0
      0  

    Default Must every developer use the exact same verion of SenchaCmd for an app?

    We are developing a SenchaTouch app in version 3.1.0.256. Today I installed version 3.1.1.274 on our new build server and went to perform a sencha app build package and it returned an error saying

    The app was last modified by an older version of Sencha Cmd (3.1.0.256), current is 3.1.1.274. Please run 'sencha app upgrade -noframework' to update.

    If the version difference was 2.x to 3.x I would understand but this is pretty minor difference (at least in a version numbering scheme). So does this mean every member of the team developing the app MUST have the exact same version?

    Thanks
    Kris

  2. #2
    Sencha - Sr Software Engineer mitchellsimoens's Avatar
    Join Date
    Mar 2007
    Location
    Gainesville, FL
    Posts
    39,556
    Vote Rating
    1272
      0  

    Default

    Yes, each user must have the same version. This is due to the quick development on Cmd and the frameworks.
    Mitchell Simoens @LikelyMitch
    Sencha Inc, Senior Software Engineer
    ________________
    Learn BBCode and use it! Checkout the CODE tag!

    Check out my GitHub, lots of nice things for Ext JS and Sencha Touch
    https://github.com/mitchellsimoens

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •